> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deliveryman.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Workspaces

> Returns all workspaces belonging to the authenticated user.

Does not support pagination at the moment.

Available Query Parameters:
None

JSON Response:
data: Query result as list of dictionaries.
total: Total number of workspaces in user account.



## OpenAPI

````yaml /openapi.yml get /api/v1/workspaces/
openapi: 3.1.1
info:
  title: DeliverymanAI API
  version: 1.0.0
  description: >-
    API documentation for DeliverymanAI, a Cold Email Management and Automation
    platform. This API provides endpoints for managing campaigns, contacts,
    email sequences, and related services.
servers:
  - url: https://api.deliveryman.ai
    description: Deliveryman API Server
security: []
paths:
  /api/v1/workspaces/:
    get:
      tags:
        - workspaces
      summary: List all Workspaces
      description: |-
        Returns all workspaces belonging to the authenticated user.

        Does not support pagination at the moment.

        Available Query Parameters:
        None

        JSON Response:
        data: Query result as list of dictionaries.
        total: Total number of workspaces in user account.
      operationId: workspaces_retrieve
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GetAllUserWorkspaceAPI'
          description: Success
        '500':
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GetAllUserWorkspaceAPI:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          maxLength: 300
        created_on:
          type: string
          format: date-time
          readOnly: true
        subscription_plan:
          type: string
          readOnly: true
        credits_remaining:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        next_renewal_date:
          type: string
          format: date-time
        billing_period:
          oneOf:
            - $ref: '#/components/schemas/BillingPeriodEnum'
            - $ref: '#/components/schemas/NullEnum'
        time_zone:
          type: string
          maxLength: 100
        total_emails_sent:
          type: integer
          maximum: 2147483647
          minimum: 0
        total_replies_received:
          type: integer
          maximum: 2147483647
          minimum: 0
      required:
        - created_on
        - id
        - subscription_plan
    BillingPeriodEnum:
      enum:
        - monthly
        - annual
      type: string
      description: |-
        * `monthly` - Monthly
        * `annual` - Annual
    NullEnum:
      type: 'null'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key
      description: 'Enter your API key in the format: X-Api-Key <your_key>'

````